Bug 133136

Summary: IDE unresponsive after format code
Product: xml Reporter: tonybeckham <tonybeckham>
Component: Schema ToolsAssignee: Samaresh Panda <samaresh>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2 CC: michaelnazarov, mikhailmatveev
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Report:
Attachments: Schema to use
Thread dump

Description tonybeckham 2008-04-17 18:15:43 UTC
After formatting code of a large schema file the next action in the IDE will cause it to hang.

1. Open attached schema
2. Switch to source view
3. Place cursor somewhere in the code
4. Select format
5. Once it is finished try and select the drop down in the navigator pane, IDE hangs.
Comment 1 tonybeckham 2008-04-17 18:17:20 UTC
Created attachment 60363 [details]
Schema to use
Comment 2 tonybeckham 2008-04-17 18:17:45 UTC
Created attachment 60364 [details]
Thread dump
Comment 3 tonybeckham 2008-04-17 18:19:25 UTC
System Info:
Product Version: NetBeans IDE 6.1 RC2 (Build 200804170002)
Java: 1.5.0_13; Java HotSpot(TM) Client VM 1.5.0_13-119
System: Mac OS X version 10.5.2 running on i386; MacRoman; en_US (nb)
Comment 4 tonybeckham 2008-04-17 19:33:37 UTC
Changed summary and priority.  The IDE will come back after a period of waiting.  This time depends on the size of the
schema and can possibly take more than 10 minutes.  Discussing with team if should be patch1 candidate or what.
Comment 5 Samaresh Panda 2008-04-17 19:48:17 UTC
Under the cover:
1. We reformat the code. The performance of this action is proportional to the size of the document.
2. After the reformat is done, the models are synchronized. xdm being the core, does the ground work by calculating the
diff. This diff is a worst case scenario because the entire doc is changed.
3. Finally schema model and axiom get synchronized.

However, I do agree with the issue and will try to fix this.
Comment 6 Samaresh Panda 2008-06-19 21:57:08 UTC
Fixed: http://hg.netbeans.org/main?cmd=changeset;node=c59fe1d65f98.
Comment 7 tonybeckham 2008-07-08 19:23:47 UTC
Fix Verified

Product Version: NetBeans IDE Dev (Build 200807080009)
Java: 1.6.0_05; Java HotSpot(TM) 64-Bit Server VM 1.6.0_05-b13-52
System: Mac OS X version 10.5.4 running on x86_64; MacRoman; en_US (nb)
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo